org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacyTabSelectionListener

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacyTabSelectionListener

All Implemented Interfaces:
  IEEFTabSelectionListener

    public class EEFLegacyTabSelectionListener
    extends java.lang.Object
    implements IEEFTabSelectionListener

Wraps an `ITabSelectionListener` to an `IEEFTabSelectionListener`.

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacyTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener legacyTabSelectionListener)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`void` `tabSelected(IEEFTabDescriptor tabDescriptor)` Notifies this listener that the selected tab has changed.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLegacyTabSelectionListener

    public EEFLegacyTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener legacyTabSelectionListener)

The constructor.

Parameters:
  `legacyTabSelectionListener` - A legacy tab selectionListener

### Method Detail

#### tabSelected

    public void tabSelected(IEEFTabDescriptor tabDescriptor)

Notifies this listener that the selected tab has changed.

Specified by:
  `tabSelected` in interface `IEEFTabSelectionListener`
Parameters:
  `tabDescriptor` - the selected tab descriptor.
See Also:
  `IEEFTabSelectionListener.tabSelected(IEEFTabDescriptor)`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `IEEFTabSelectionListener#equals(Object)`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
See Also:
  `IEEFTabSelectionListener#hashCode()`